###--- >>> `trace' <<<----- Interactive Tracing and Debugging of Calls to a Function or Method

	## alias	 help(trace)
	## alias	 help(untrace)
	## alias	 help(.primTrace)
	## alias	 help(.primUntrace)

##___ Examples ___:


f <- function(x, y) {
    y <- pmax(y, .001)
    x ^ y
}

## arrange to call the browser on entering and exiting
## function f
trace("f", browser, exit = browser)

## instead, conditionally assign some data, and then browse
## on exit, but only then.  Don't bother me otherwise

trace("f", quote(if(any(y < 0)) yOrig <- y),
      exit = quote(if(exists("yOrig")) browser()),
      print = FALSE)

## trace a utility function, with recover so we
## can browse in the calling functions as well.

trace("as.matrix", recover)

## turn off the tracing

untrace(c("f", "as.matrix"))


## Keywords: 'programming', 'debugging'.


