###--- >>> `monthplot' <<<----- Plot a Seasonal or other Subseries

	## alias	 help(monthplot)
	## alias	 help(monthplot.default)
	## alias	 help(monthplot.ts)
	## alias	 help(monthplot.stl)
	## alias	 help(monthplot.StructTS)

##___ Examples ___:

## The CO2 data
data(co2)
fit <- stl(log(co2), s.window = 20, t.window = 20)
plot(fit)
op <- par(mfrow = c(2,2))
monthplot(co2, ylab = "data", cex.axis = 0.8)
monthplot(fit, choice = "seasonal", cex.axis = 0.8)
monthplot(fit, choice = "trend", cex.axis = 0.8)
monthplot(fit, choice = "remainder", type = "h", cex.axis = 0.8)
par(op)

## The CO2 data, grouped quarterly
quarter <- (cycle(co2) - 1) %/% 3
monthplot(co2, phase = quarter)

## see also JohnsonJohnson

## Keywords: 'hplot', 'ts'.


